> ## Documentation Index
> Fetch the complete documentation index at: https://docs.voiceable.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Widget Signed URL

## Get Widget Signed URL

Public endpoint that returns a signed WebSocket URL for the ElevenLabs conversation widget.

<RequestExample>
  ```bash cURL theme={null}
  curl -X GET "https://api.example.com/api/v1/widget/your-api-key-here/agent_123/signed_url"
  ```

  ```javascript JavaScript theme={null}
  const apiKey = 'your-api-key-here';
  const agentId = 'agent_123';
  const response = await fetch(`https://api.example.com/api/v1/widget/${apiKey}/${agentId}/signed_url`, {
    method: 'GET'
  });

  const data = await response.json();
  ```

  ```python Python theme={null}
  import requests

  api_key = 'your-api-key-here'
  agent_id = 'agent_123'

  response = requests.get(
      f'https://api.example.com/api/v1/widget/{api_key}/{agent_id}/signed_url'
  )

  data = response.json()
  ```
</RequestExample>

<ResponseExample>
  ```json Success Response theme={null}
  {
    "status": {
      "code": 200,
      "message": "Signed URL retrieved successfully"
    },
    "data": {
      "signed_url": "wss://api.elevenlabs.io/v1/convai/conversation?token=..."
    }
  }
  ```
</ResponseExample>

<OpenApiExplorer />
